package com.chinaitop.depot.intelligent.ventilation.mapper;

import com.chinaitop.depot.intelligent.ventilation.model.StorageFoodbasicinfo;
import com.chinaitop.depot.intelligent.ventilation.model.StorageFoodbasicinfoExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface StorageFoodbasicinfoMapper {
    int countByExample(StorageFoodbasicinfoExample example);

    int deleteByExample(StorageFoodbasicinfoExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(StorageFoodbasicinfo record);

    int insertSelective(StorageFoodbasicinfo record);

    List<StorageFoodbasicinfo> selectByExample(StorageFoodbasicinfoExample example);

    StorageFoodbasicinfo selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") StorageFoodbasicinfo record, @Param("example") StorageFoodbasicinfoExample example);

    int updateByExample(@Param("record") StorageFoodbasicinfo record, @Param("example") StorageFoodbasicinfoExample example);

    int updateByPrimaryKeySelective(StorageFoodbasicinfo record);

    int updateByPrimaryKey(StorageFoodbasicinfo record);

    List<StorageFoodbasicinfo> getFoodbasicInfoByHouseIdAndWarehouseId(StorageFoodbasicinfo example);

    List<StorageFoodbasicinfo> queryByExample(StorageFoodbasicinfo example);
}